export function DynamicProperty(dynamicProperty, defaultValue) {
    return function (target, propertyKey) {
        const getter = function () {
            return this.entity.getDynamicProperty(dynamicProperty) || defaultValue;
        };
        const setter = function (newVal) {
            this.entity.setDynamicProperty(dynamicProperty, newVal);
        };
        Object.defineProperty(target, propertyKey, {
            get: getter,
            set: setter,
            enumerable: true,
            configurable: true,
        });
    };
}
