import MeleeWeapon from 'melee/melee-weapon';
export default class Brass extends MeleeWeapon {
    constructor() {
        super(...arguments);
        this.itemTypeId = 'melee:brass';
        // MAIN GUN PROPERTIES
        this.name = 'Brass';
        this.drawTime = 1200; // in ms
        this.displayDrawCooldown = true;
        this.leftAttack = {
            enabled: true,
            damages: 24,
            delay: 10,
            cooldown: 20,
            displayCooldown: true,
            range: 3.5,
            precision: 0.07,
            sounds: {
                onHitBlock: {
                    soundIds: ['brass.hitwall'],
                    pitch: 1,
                    volume: 1.5,
                },
                onHitEntity: {
                    soundIds: ['brass.hit'],
                    pitch: 1,
                    volume: 1.5,
                },
                onMiss: {
                    soundIds: [''],
                    pitch: 1,
                    volume: 1.5,
                },
            },
            particles: {
                onHitBlock: {
                    particleIds: ['move:tiger', 'hit:bullet5', 'move:tiger', 'move:tiger', 'move:tiger'],
                },
                onHitEntity: {
                    particleIds: ['ag:blood', 'ag:blood', 'ag:blood'],
                },
            },
            functions : {
                onHitEntity : ['brass_hit']
            }
        };
        this.rightAttack = {
            enabled: false,
        };
        // ATTACK on draw
        this.initialAttack = {
            enabled: false,
        };
        this.sounds = {
            onDraw: {
                soundIds: ['brass.draw'],
                pitch: 1,
                volume: 0.2,
            },
        };
        this.particles = {
            onDraw: {
                particleIds: [''],
            },
        };
        // Charge System
        this.charges = {
            enabled: false,
        };
        // KNOCKBACK
        this.knockback = {
            Ximpusle: 0.7,
            Zimpusle: 0.3,
        };
    }
}
