import MeleeWeapon from 'melee/melee-weapon';
export default class Machete extends MeleeWeapon {
    constructor() {
        super(...arguments);
        this.itemTypeId = 'melee:machete';
        // MAIN MELEE PROPERTIES
        this.name = 'Machete';
        this.drawTime = 1200; // in ms
        this.displayDrawCooldown = true;
        this.leftAttack = {
            enabled: true,
            damages: 40,
            delay: 20,
            cooldown: 35,
            displayCooldown: true,
            range: 5,
            precision: 0.07,
            sideAttack: {
                timeToSlash: 150, // in ms
                rayPerLine: 15,
                borderRadius: 0, // in percent
                lineCount: 1,
                areaHeight: 0.8, // in blocks
                areaWeight: {
                    from: -20, // in degree
                    to: 50, // in degree
                },
            },
            sounds: {
                onHitBlock: {
                    soundIds: ['knife.imp'],
                    pitch: 1,
                    volume: 1.5,
                },
                onHitEntity: {
                    soundIds: ['machete.stab'],
                    pitch: 1,
                    volume: 1.5,
                },
                onMiss: {
                    soundIds: [''],
                    pitch: 1,
                    volume: 1.5,
                },
            },
            particles: {
                onHitBlock: {
                    particleIds: ['move:tiger', 'hit:bullet5', 'move:tiger', 'move:tiger', 'move:tiger'],
                },
                onHitEntity: {
                    particleIds: ['ag:blood', 'ag:blood', 'ag:blood', 'knife:sweep'],
                },
            },
        };
        this.rightAttack = {
            enabled: false,
        };
        // ATTACK on draw
        this.initialAttack = {
            enabled: false,
        };
        this.sounds = {
            onDraw: {
                soundIds: [''],
                pitch: 1,
                volume: 0.2,
            },
        };
        this.particles = {
            onDraw: {
                particleIds: [''],
            },
        };
        // Charge System
        this.charges = {
            enabled: false,
        };
        // KNOCKBACK
        this.knockback = {
            Ximpusle: 0.7,
            Zimpusle: 0.3,
        };
    }
}
