import MeleeWeapon from 'melee/melee-weapon';
export default class NataKnifehq extends MeleeWeapon {
    constructor() {
        super(...arguments);
        this.itemTypeId = 'melee:natahq';
        // MAIN MELEE PROPERTIES
        this.name = 'Nata Knife HQ';
        this.drawTime = 1050; // in ms
        this.displayDrawCooldown = true;
        this.leftAttack = {
            enabled: true,
            damages: 76,
            delay: 0,
            cooldown: 24,
            spamCooldownEnabled: true,
            spamCooldownEnabled: true,
            range: 5,
            precision: 0.07,
            sideAttack: {
                timeToSlash: 150, // in ms
                rayPerLine: 15,
                borderRadius: 0, // in percent
                lineCount: 1,
                areaHeight: 1, // in blocks
                areaWeight: {
                    from: -10, // in degree
                    to: 10, // in degree
                },
            },
            sounds: {
                onHitBlock: {
                    soundIds: ['cso.nata.wall'],
                    pitch: 1,
                    volume: 1.5,
                },
                onHitEntity: {
                    soundIds: ['cso.nata.hit'],
                    pitch: 1,
                    volume: 1.5,
                },
                onMiss: {
                    soundIds: [''],
                    pitch: 0.5,
                    volume: 100,
                },
            },
            particles: {
                onHitBlock: {
                    particleIds: ['move:tiger', 'hit:bullet5', 'move:tiger', 'move:tiger', 'move:tiger'],
                },
                onHitEntity: {
                    particleIds: ['ag:blood', 'knife:sweep'],
                },
            },
        };
        this.rightAttack = {
            enabled: true,
            damages: 134,
            delay: 0,
            cooldown: 38,
            range: 3.8,
            spamCooldownEnabled: true,
            precision: 0.07,
            sounds: {
                onHitBlock: {
                    soundIds: ['cso.nata.wall'],
                    pitch: 1,
                    volume: 1.5,
                },
                onHitEntity: {
                    soundIds: ['stab.nata'],
                    pitch: 1,
                    volume: 1.5,
                },
                onMiss: {
                    soundIds: [''],
                    pitch: 0.5,
                    volume: 100,
                },
            },
            particles: {
                onHitBlock: {
                    particleIds: ['move:tiger', 'hit:bullet5', 'move:tiger', 'move:tiger', 'move:tiger'],
                },
                onHitEntity: {
                    particleIds: ['azoz:blood', 'azoz:blood', 'azoz:blood'],
                },
            },
        };
        // ATTACK on draw
        this.initialAttack = {
            enabled: false,
        };
        this.sounds = {
            onDraw: {
                soundIds: [''],
                pitch: 1,
                volume: 0.2,
            },
        };
        this.particles = {
            onDraw: {
                particleIds: [''],
            },
        };
        // Charge System
        this.charges = {
            enabled: false,
        };
        // KNOCKBACK
        this.knockback = {
            Ximpusle: 0.7,
            Zimpusle: 0.3,
        };
    }
}
