import MeleeWeapon from 'melee/melee-weapon';
export default class Knife extends MeleeWeapon {
    constructor() {
        super(...arguments);
        this.itemTypeId = 'weapon:ripper';
        // MAIN MELEE PROPERTIES
        this.name = 'Ripper';
        this.drawTime = 1050; // in ms
        this.displayDrawCooldown = true;
        // KNOCKBACK
        this.knockback = {
            Ximpusle: 5,
            Zimpusle: 2,
        };
        this.leftAttack = {
            enabled: true,
            displayCooldown: true,
            damages: 52,
            delay: 0,
            cooldown: 40,
            range: 4,
            precision: 0.07,
                        sideAttack: {
                timeToSlash: 0, // in ms
                rayPerLine: 15,
                borderRadius: 0, // in percent
                lineCount: 1,
                areaHeight: 0.8, // in blocks
                areaWeight: {
                    from: -20, // in degree
                    to: 50, // in degree
                },
            },
            sounds: {
                onHitBlock: {
                    soundIds: ['chainsaw.hit_blunt'],
                    pitch: 1,
                    volume: 1.5,
                },
                onHitEntity: {
                    soundIds: ['chainsaw.hit_sharp'],
                    pitch: 1,
                    volume: 1.5,
                },
                onMiss: {
                    soundIds: [''],
                    pitch: 0.5,
                    volume: 100,
                },
            },
            particles: {
                onHitBlock: {
                    particleIds: ['move:tiger', 'hit:bullet5', 'move:tiger', 'move:tiger', 'move:tiger'],
                },
                onHitEntity: {
                    particleIds: ['ag:blood', 'azoz:blood'],
                },
            },
        };
        this.rightAttack = {
            enabled: false,
            damages: 34,
            delay: 0,
            cooldown: 20,
            range: 3.3,
            precision: 0.07,
            displayCooldown: true,
            sounds: {
                onHitBlock: {
                    soundIds: ['knife.hitwall'],
                    pitch: 1,
                    volume: 1.5,
                },
                onHitEntity: {
                    soundIds: ['knife.stab'],
                    pitch: 1,
                    volume: 1.5,
                },
                onMiss: {
                    soundIds: [''],
                    pitch: 0.5,
                    volume: 100,
                },
            },
            particles: {
                onHitBlock: {
                    particleIds: ['move:tiger', 'hit:bullet5', 'move:tiger', 'move:tiger', 'move:tiger'],
                },
                onHitEntity: {
                    particleIds: ['ag:blood', 'ag:blood', 'ag:blood', 'knife:sweep'],
                },
            },
        };
        // ATTACK on draw
        this.initialAttack = {
            enabled: false,
        };
        // Charge System
        this.charges = {
            enabled: false
        };
        this.sounds = {
            onDraw: {
                soundIds: [''],
                pitch: 1,
                volume: 0.2,
            },
        };
        this.particles = {
            onDraw: {
                particleIds: [''],
            },
        };
    }
}
