import MeleeWeapon from 'melee/melee-weapon';
export default class Skeleton extends MeleeWeapon {
    constructor() {
        super(...arguments);
        this.itemTypeId = 'melee:skeleton';
        // MAIN MELEE PROPERTIES
        this.name = 'Skeleton Knife';
        this.drawTime = 1050; // in ms
        this.displayDrawCooldown = true;
        this.leftAttack = {
            enabled: true,
            damages: 22,
            delay: 0,
            displayCooldown: true,
            cooldown: 5,
            range: 5,
            precision: 0.07,
            sounds: {
                onHitBlock: {
                    soundIds: ['csgo.knife.hitwall'],
                    pitch: 1,
                    volume: 1.5,
                },
                onHitEntity: {
                    soundIds: ['csgo.knife.slash'],
                    pitch: 1,
                    volume: 1.5,
                },
                onMiss: {
                    soundIds: [''],
                    pitch: 0.5,
                    volume: 100,
                },
            },
            particles: {
                onHitBlock: {
                    particleIds: ['move:tiger', 'move:tiger'],
                },
                onHitEntity: {
                    particleIds: ['ag:blood', 'knife:sweep'],
                },
            },
        };
        this.rightAttack = {
            enabled: true,
            damages: 44,
            delay: 0,
            cooldown: 20,
            range: 4,
            displayCooldown: true,
            precision: 0.07,
            sounds: {
                onHitBlock: {
                    soundIds: ['csgo.knife.hitwall'],
                    pitch: 1,
                    volume: 1.5,
                },
                onHitEntity: {
                    soundIds: ['csgo.knife.stab'],
                    pitch: 1,
                    volume: 1.5,
                },
                onMiss: {
                    soundIds: [''],
                    pitch: 0.5,
                    volume: 100,
                },
            },
            particles: {
                onHitBlock: {
                    particleIds: ['move:tiger', 'hit:bullet5', 'move:tiger', 'move:tiger', 'move:tiger'],
                },
                onHitEntity: {
                    particleIds: ['ag:blood', 'ag:blood', 'ag:blood', 'knife:sweep'],
                },
            },
        };
        // ATTACK on draw
        this.initialAttack = {
            enabled: false,
        };
        this.sounds = {
            onDraw: {
                soundIds: [''],
                pitch: 1,
                volume: 0.2,
            },
        };
        this.particles = {
            onDraw: {
                particleIds: [''],
            }
        };
        // Charge System
        this.charges = {
            enabled: false,
        };
        // KNOCKBACK
        this.knockback = {
            Ximpusle: 0.7,
            Zimpusle: 0.3,
        };
    }
}
