import MeleeWeapon from 'melee/melee-weapon';
export default class skullaxe extends MeleeWeapon {
    constructor() {
        super(...arguments);
        this.itemTypeId = 'melee:skull_axe';
        // MAIN MELEE PROPERTIES
        this.name = 'Skull-9';
        this.drawTime = 1050; // in ms
        this.displayDrawCooldown = true;
        this.leftAttack = {
            enabled: true,
            damages: 70,
            delay: 15,
            displayCooldown: true,
            cooldown: 40,
            range: 2,
            precision: 0.07,
        sideAttack: {
            timeToSlash: 150, // in ms
            rayPerLine: 20,
            borderRadius: 23, // in percent
            lineCount: 5,
            areaHeight: 2.3, // in blocks
            areaWeight: {
                from: -30, // in degree
                to: 30, // in degree
            },
        },
            sounds: {
                onHitBlock: {
                    soundIds: ['cso.skullaxe.wall'],
                    pitch: 1,
                    volume: 1.5,
                },
                onHitEntity: {
                    soundIds: ['cso.skullaxe.hit'],
                    pitch: 1,
                    volume: 1.5,
                },
                onMiss: {
                    soundIds: [''],
                    pitch: 1,
                    volume: 1.5,
                },
            },
            particles: {
                onHitBlock: {
                    particleIds: ['move:tiger', 'hit:bullet5', 'move:tiger', 'move:tiger', 'move:tiger'],
                },
                onHitEntity: {
                    particleIds: ['azoz:blood', 'azoz:blood', 'azoz:blood', 'azoz:blood', 'azoz:blood', 'azoz:blood'],
                },
            },
        };
        this.rightAttack = {
            enabled: false,
        };
        // ATTACK on draw
        this.initialAttack = {
            enabled: false,
        };
        this.sounds = {
            onDraw: {
                soundIds: [''],
                pitch: 1,
                volume: 0.2,
            },
        };
        this.particles = {
            onDraw: {
                particleIds: [''],
            },
        };
        // Charge System
        this.charges = {
            enabled: false,
        };
        // KNOCKBACK
        this.knockback = {
            Ximpusle: 0.7,
            Zimpusle: 0.3,
        };
    }
}
